#!/bin/bash
HOSTNAME=$1
GIT_PATH=$2
PROJECT=$3

until wget --quiet http://${HOSTNAME} -O /dev/null
do
  echo "git server http://${HOSTNAME} is not online"
  sleep 5
done

git ls-remote http://${HOSTNAME}/${GIT_PATH}/${PROJECT}.git master > /dev/null 2>&1

exit $?

